Bug 70280 - no translation for first dialog
no translation for first dialog
Product: Red Hat Public Beta
Classification: Retired
Component: xcdroast (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Jay Turner
Depends On:
Blocks: 67218
  Show dependency treegraph
Reported: 2002-07-31 10:19 EDT by Harald Hoyer
Modified: 2015-01-07 18:58 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-08-16 15:10:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
workaround patch (1.19 KB, patch)
2002-08-13 08:19 EDT, Akira TAGOH
no flags Details | Diff

  None (edit)
Description Harald Hoyer 2002-07-31 10:19:58 EDT
no german translation for the first dialog:

"No root configuration file found! ..."

only empty dialog appears
Comment 1 Tim Waugh 2002-08-05 10:03:24 EDT
Should be fixed in 0.98a9-16.
Comment 2 Akira TAGOH 2002-08-13 07:32:00 EDT
No, don't convert the translation file without a solution. this way may be
solved for UTF-8 locale. but then this problem appears on native locale.
don't forget that xcdroast uses GTK+1.2, and important thing is it doesn't use
gettext. it means the translation isn't converted to a locale encoding
Comment 3 Tim Waugh 2002-08-13 07:37:58 EDT
So I should use iconv(3) to convert from 'UTF-8' to whatever 'locale charmap' 
says?  Or something else?
Comment 4 Harald Hoyer 2002-08-13 07:40:44 EDT
bind_textdomain_codeset ??
Comment 5 Tim Waugh 2002-08-13 07:42:36 EDT
harald: Could you explain some more?  Doesn't that function only affect the 
gettext family?
Comment 6 Harald Hoyer 2002-08-13 07:48:45 EDT
"important thing is it doesn't use gettext" .. oops didn't read that carefully..
Comment 7 Harald Hoyer 2002-08-13 07:53:34 EDT
you have to convert from 'po-file' (or whatever) encoding to the actual font
Comment 8 Akira TAGOH 2002-08-13 08:19:20 EDT
Created attachment 70284 [details]
workaround patch
Comment 9 Akira TAGOH 2002-08-13 08:23:17 EDT
Well, as I said on IRC, you convert the translation file from the *appropriate*
encoding to UTF-8, then applies the above patch.
this patch will converts the current codeset from UTF-8.
I rewrite the Japanese entries in the translation file manually and as far as
I've tested this patch, it works for me.
Comment 10 Tim Waugh 2002-08-13 08:24:04 EDT
Great, thanks!  Now to start figuring out some encodings..
Comment 11 Tim Waugh 2002-08-13 14:14:59 EDT
I think that xcdroast-0.98a9-17 fixes this properly now.
Comment 12 Paul Gampe 2002-08-13 20:10:08 EDT
Installed on 0812 this version shows german correctly for me 
ja_JP displays correctly 
ko_KR displays correctly but translations incomplete 
zh_TW displays correctly but translations incomplete 
zh_CN displays correctly but translations incomplete 
Comment 13 Jay Turner 2002-08-16 15:06:19 EDT
I'm leaving this open awaiting complete translations.
Comment 14 Tim Waugh 2002-08-16 15:10:31 EDT
I don't think it's ever had complete translations before.  It doesn't use 
gettext, but some home-made translation system.  It doesn't have _anything_ 
translated into, for example, Norwegian (AFAICT). 
I think that the original complaint is fixed.  Feel free to open a separate 
bug report requesting completed translations (and we'll have to figure out 
some process for it).
Comment 15 Jay Turner 2002-08-28 16:30:06 EDT
Fix confirmed with xcdroast-0.98a9-18.

Note You need to log in before you can comment on or make changes to this bug.